--- main/channel.c	2013-02-06 11:33:56.969996224 +0000
+++ main/channel.c	2013-02-06 11:33:54.603987419 +0000
@@ -5427,9 +5427,6 @@
 	}
 
 	if (oh) {
-		if (oh->vars) {
-			ast_set_variables(chan, oh->vars);
-		}
 		if (!ast_strlen_zero(oh->cid_num) && !ast_strlen_zero(oh->cid_name)) {
 			/*
 			 * Use the oh values instead of the function parameters for the
@@ -5477,6 +5474,10 @@
 	}
 	ast_channel_set_connected_line(chan, &connected, NULL);
 
+	if (oh && oh->vars) {
+		ast_set_variables(chan, oh->vars);
+	}
+
 	if (ast_call(chan, data, 0)) {	/* ast_call failed... */
 		ast_log(LOG_NOTICE, "Unable to call channel %s/%s\n", type, (char *)data);
 	} else {
